Subject: Re: Fetch remote only if remote hasn't been fetched recently

From: Junio C Hamano <[email-masked]>
Date: Thu, 05 Jun 2025 09:55:21 -0700

M Hickford <[email-masked]> writes:

> Hi. I'd like to fetch from a particular remote, but only if that
> remote hasn't been fetched in the last hour. How could I achieve this?
> Is there a relevant option for `git fetch`?
>
> https://git-scm.com/docs/git-fetch

"git fetch" is "I want to fetch now".  If you want to pace your
fetches, you have to keep a record of when you fetched in the past
and work from there.

I sense there perhaps is an XY problem?

If "git fetch" is done outside end-user's supervision and explicit
intent, the remote-tracking branches will become much less useful to
the human users.  A good solusion that avoids this issue already
exists as the "prefetch" task of the "git maintenance" suite.